import java.io.*;


class fb extends f_x
{
   double func (double x)
 {
    return -(2.0*Math.sin(x)-x*x/10.0);
 }
}


class quadmin
{
    public static void main(String args[]) throws IOException
    {
    fb f1=new fb();
    System.out.println(Numeric.quadmin(f1,0.0,4.0,1.0e-9,1.0e-9,1));
    }
}
